OpenVDB 13.0.0

Loading...
Searching...
No Matches
PrimCpyOp Class Reference

TBB body object for threaded primitive copy. More...

`#include <openvdb_houdini/GeometryUtil.h>`

## Public Member Functions
| PrimCpyOp (GU_Detail const *const gdp, std::vector< openvdb::Vec4I > &primList)
void | operator() (const GA_SplittableRange &) const

## Detailed Description

TBB body object for threaded primitive copy.

Produces a primitive-vertex index list.

## Constructor & Destructor Documentation

## ◆ PrimCpyOp()

PrimCpyOp | ( | GU_Detail const *const | gdp,
|  | std::vector< openvdb::Vec4I > & | primList )

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const GA_SplittableRange & |  | ) | const